Spore ModAPI

Download tools like Sporemaster and get the latest patches.
Retsixel
Poster of the New User Apocalypse
Poster of the New User Apocalypse
Posts: 1
Joined: Sat Feb 08, 2020 4:33 pm

Re: Spore ModAPI

Unread postby Retsixel » Sat Feb 08, 2020 4:41 pm

Hello all,

Trying to get DarkInjection to work here. Spore and Spore Galactic Adventures are downloaded from Origin. After installing the mod with the ModAPI, I get an 'access denied' message when I try to use 'Spore ModAPI Launcher.exe'. See the following picture for the message that appears before sending me to this this topic.

Image

I'm not sure what's going on there. Could you please help me?

Here are other details :

I'm not sure if I have patch 1.51, as I have downloaded it and attempted patching both GA and Spore, but I kept getting a message 'Please Install Spore to Patch Spore' so I assumed it meant it was already installed.

My anti-virus placed some files into quarantine when I tried to launch 'Spore ModAPI Launcher.exe'. I have restored them, but maybe that might have impacted something?

Thank you!

Curitheye
Poster of the New User Apocalypse
Poster of the New User Apocalypse
Posts: 1
Joined: Sun Feb 16, 2020 11:09 am

Re: Spore ModAPI

Unread postby Curitheye » Sun Feb 16, 2020 11:13 am

Everything has been working very smoothly, but as I have everything set and running, I later get a problem where I keep getting a pop up telling me to close spore even though it been down for quite some time lol. I've tried re downloading it, restarting the computer, restarting spore, etc, but still I keep getting the same pop up. I don't use a steam for spore and use a disk. Any ideas on how to fix the issue?

Kb3
Poster of the New User Apocalypse
Poster of the New User Apocalypse
Posts: 1
Joined: Sun Feb 16, 2020 12:46 pm

Re: Spore ModAPI

Unread postby Kb3 » Sun Feb 16, 2020 12:50 pm

Sem título.png

Every time i try to start Spore, that message appears.
You do not have the required permissions to view the files attached to this post.

Tibike2005
Poster of the New User Apocalypse
Poster of the New User Apocalypse
Posts: 1
Joined: Mon Feb 17, 2020 5:06 am

Re: Spore ModAPI

Unread postby Tibike2005 » Mon Feb 17, 2020 8:05 am

Hello! I'm having problems with the ModAPI Launcher, as it tells me i need the game (which i have the GOG version of) to be updated to 3.1.0.22. Am i doing something wrong?

Here's the error message, too.
https://imgur.com/pwKsb9X

nessiejoe
Poster of the New User Apocalypse
Poster of the New User Apocalypse
Posts: 1
Joined: Mon Feb 17, 2020 8:24 pm

Re: Spore ModAPI

Unread postby nessiejoe » Mon Feb 17, 2020 8:29 pm

im trying to open up spore dark injection via ModAPI. it says i need to open it via modAPI launcher, but i am doing just that? it's not giving me any error codes or anything.
i'm using the legit Origin version of spore
Edit: got it to work. Deleted all the installed mod files and reinstalled them
Last edited by nessiejoe on Tue Feb 18, 2020 10:53 am, edited 1 time in total.

Dorsz
Poster of the New User Apocalypse
Poster of the New User Apocalypse
Posts: 4
Joined: Sun May 19, 2019 5:56 am

Re: Spore ModAPI

Unread postby Dorsz » Tue Feb 18, 2020 7:56 am

Hiya, so I had an update today and suddenly ModAPI Launcher stopped working for me. It shows me this error: https://imgur.com/a/pKWrQX4
It tells me to update the game to 3.1.0.22., but I have the most recent version of it.

EDIT: Forgot to mention I'm using the GOG version

rattoes
Poster of the New User Apocalypse
Poster of the New User Apocalypse
Posts: 2
Joined: Sun Feb 23, 2020 2:11 pm

Re: Spore ModAPI

Unread postby rattoes » Sun Feb 23, 2020 2:31 pm

Im still having the error when you open the launcher I tried closing the game for 15 I tried resetting my computer nothing worked I need some help.

rattoes
Poster of the New User Apocalypse
Poster of the New User Apocalypse
Posts: 2
Joined: Sun Feb 23, 2020 2:11 pm

Re: Spore ModAPI

Unread postby rattoes » Sun Feb 23, 2020 3:11 pm

the origin thing isn't working either i missing need package or it has corrupted

mikunikubi
Poster of the New User Apocalypse
Poster of the New User Apocalypse
Posts: 1
Joined: Mon Feb 24, 2020 2:20 am

Re: Spore ModAPI

Unread postby mikunikubi » Mon Feb 24, 2020 2:23 am

Whenever I try opening ModAPI launcher, it says that I do not have the correct version of the game, even though it's the exact version as mentioned. I do not use Origin though, but what I have is a cracked version of the game. Does ModAPI works with cracked versions?

Arieltna
Poster of the New User Apocalypse
Poster of the New User Apocalypse
Posts: 2
Joined: Sat Sep 26, 2015 11:27 pm

Re: Spore ModAPI

Unread postby Arieltna » Mon Feb 24, 2020 8:51 pm

rob55rod wrote:Also, can both of you please tell me where you bought and installed Spore from? (e.g. Origin, Steam, GOG, physical disks)

I installed and play Spore, Spore C/C, and Spore GA via physical discs. Also, I use a portable USB DVD ROM Drive to play Spore GA, as my laptop does not have a built-in DVD ROM Drive.

Sorry for the late reply, by the way. I was busy.

rob55rod
Tech Support
Tech Support
Sergeant Major of the Davo Army
Sergeant Major of the Davo Army
Posts: 3983
Joined: Sat Jul 02, 2011 9:50 am
Location: Zelem's Nexus, rebuilding.

Re: Spore ModAPI

Unread postby rob55rod » Sat Feb 29, 2020 1:10 pm

I am so sorry I'm so late getting back to all of you. External factors were interfering. In any case, I'm trying to get back on top of keeping an eye on this thread, so hopefully such absurd delays won't be repeated. This may not be a paying job, but that doesn't justify floating away and leaving all of you hanging. So again, I apologize.



Retsixel wrote:I'm not sure if I have patch 1.51, as I have downloaded it and attempted patching both GA and Spore, but I kept getting a message 'Please Install Spore to Patch Spore' so I assumed it meant it was already installed.

That just means you already have the March 2017 patch, which is fine for Dark Injection and any other mods made or updated since then.

Retsixel wrote:My anti-virus placed some files into quarantine when I tried to launch 'Spore ModAPI Launcher.exe'. I have restored them, but maybe that might have impacted something?
Thank you!

Likely...I'd suggest you start by rebooting your computer, though given how long it's been (again, sorry about that), I'd imagine you may well have already done so by now...



Curitheye wrote:Everything has been working very smoothly, but as I have everything set and running, I later get a problem where I keep getting a pop up telling me to close spore even though it been down for quite some time lol. I've tried re downloading it, restarting the computer, restarting spore, etc, but still I keep getting the same pop up. I don't use a steam for spore and use a disk. Any ideas on how to fix the issue?

What are you clicking to open Spore? And can you please show me a screenshot of the error message in question?



Kb3 wrote:Every time i try to start Spore, that message appears.

Where did you install Spore from? Disks? GOG? Origin? Steam? Digital purchase from Amazon?



Tibike2005 wrote:Hello! I'm having problems with the ModAPI Launcher, as it tells me i need the game (which i have the GOG version of) to be updated to 3.1.0.22. Am i doing something wrong?

Depends...did you actually buy Spore from GOG? And are you using version 3.1.0.22? (If the answer to either of these questions is a No, then yes you've done something wrong...exactly what depends on the exact answers to both questions.)



nessiejoe wrote:im trying to open up spore dark injection via ModAPI. it says i need to open it via modAPI launcher, but i am doing just that? it's not giving me any error codes or anything.
i'm using the legit Origin version of spore
Edit: got it to work. Deleted all the installed mod files and reinstalled them

...huh, that's strange. Could be a bug in the Spore ModAPI Launcher Kit...if it happens again, let me know, and don't just go reinstalling DI right away - I'll try to get back to you, so we can try to figure out why it's happening (which I'll need to know in order to stand any chance of properly fixing it).



Dorsz wrote:Hiya, so I had an update today and suddenly ModAPI Launcher stopped working for me. It shows me this error: https://imgur.com/a/pKWrQX4
It tells me to update the game to 3.1.0.22., but I have the most recent version of it.

EDIT: Forgot to mention I'm using the GOG version

Depends...did you actually buy Spore from GOG? And are you using version 3.1.0.22? (You're correct that 3.1.0.22 is the most recent version of the game, but it would be helpful if you could elaborate on how you determined that you are, in fact, running version 3.1.0.22.)



rattoes wrote:Im still having the error when you open the launcher I tried closing the game for 15 I tried resetting my computer nothing worked I need some help.

rattoes wrote:the origin thing isn't working either i missing need package or it has corrupted

Can you please provide a screenshot of this error message?



mikunikubi wrote:Whenever I try opening ModAPI launcher, it says that I do not have the correct version of the game, even though it's the exact version as mentioned. I do not use Origin though, but what I have is a cracked version of the game. Does ModAPI works with cracked versions?

Image



Arieltna wrote:
rob55rod wrote:Also, can both of you please tell me where you bought and installed Spore from? (e.g. Origin, Steam, GOG, physical disks)

I installed and play Spore, Spore C/C, and Spore GA via physical discs. Also, I use a portable USB DVD ROM Drive to play Spore GA, as my laptop does not have a built-in DVD ROM Drive.

Sorry for the late reply, by the way. I was busy.

Right...while I'm surprised that USB DVD Drive is working for Spore, I doubt that that's relevant to the problem at hand. Still, good call in bringing it up - you never know, after all. Anyways, I'll send you a Private Message shortly regarding this problem. As for timing, you have nothing to apologize for. If anyone owes anyone an apology, it's me, for keeping you and everyone else who's sought my assistance recently waiting far beyond a remotely reasonable amount of time. To all of you, I apologize...yet again.
Having trouble with the Spore ModAPI Launcher Kit? Get help here!

If you're reading this, you have my permission to build off of my mods as long as I am credited. Please don't mirror my work unaltered, unless I no longer provide a working download.

Dorsz
Poster of the New User Apocalypse
Poster of the New User Apocalypse
Posts: 4
Joined: Sun May 19, 2019 5:56 am

Re: Spore ModAPI

Unread postby Dorsz » Sun Mar 01, 2020 5:41 am

Depends...did you actually buy Spore from GOG? And are you using version 3.1.0.22? (You're correct that 3.1.0.22 is the most recent version of the game, but it would be helpful if you could elaborate on how you determined that you are, in fact, running version 3.1.0.22.)

Hey, thanks for the response, and yes, I'm 100% sure I'm using the correct version. Everything was working fine until I updated the ModAPI to the newest version. And yes, I purchased Spore from GOG.

Symstep
Poster of the New User Apocalypse
Poster of the New User Apocalypse
Posts: 1
Joined: Sun Mar 01, 2020 4:10 pm

Re: Spore ModAPI

Unread postby Symstep » Sun Mar 01, 2020 4:15 pm

I just want to play Spore With Mods
How do I fix this
Annotation 2020-03-01 171149.png
You do not have the required permissions to view the files attached to this post.

rob55rod
Tech Support
Tech Support
Sergeant Major of the Davo Army
Sergeant Major of the Davo Army
Posts: 3983
Joined: Sat Jul 02, 2011 9:50 am
Location: Zelem's Nexus, rebuilding.

Re: Spore ModAPI

Unread postby rob55rod » Sun Mar 01, 2020 4:27 pm

Dorsz wrote:
Depends...did you actually buy Spore from GOG? And are you using version 3.1.0.22? (You're correct that 3.1.0.22 is the most recent version of the game, but it would be helpful if you could elaborate on how you determined that you are, in fact, running version 3.1.0.22.)

Hey, thanks for the response, and yes, I'm 100% sure I'm using the correct version. Everything was working fine until I updated the ModAPI to the newest version. And yes, I purchased Spore from GOG.

Well that's certainly...strange. Could you please show me how you determined that you're using version 3.1.0.22?


Symstep wrote:I just want to play Spore With Mods
How do I fix this
Annotation 2020-03-01 171149.png

Using a (legal) non-Steam version of Spore is a good place to start. Transferring your keys to Origin is free, just be sure to backup your creations and save data and uninstall the Steam version of Spore before installing the Origin version.
Having trouble with the Spore ModAPI Launcher Kit? Get help here!

If you're reading this, you have my permission to build off of my mods as long as I am credited. Please don't mirror my work unaltered, unless I no longer provide a working download.

calaminty
Poster of the New User Apocalypse
Poster of the New User Apocalypse
Posts: 1
Joined: Sun Mar 01, 2020 10:34 pm

Re: Spore ModAPI

Unread postby calaminty » Sun Mar 01, 2020 10:56 pm

nessiejoe wrote:im trying to open up spore dark injection via ModAPI. it says i need to open it via modAPI launcher, but i am doing just that? it's not giving me any error codes or anything.
i'm using the legit Origin version of spore
Edit: got it to work. Deleted all the installed mod files and reinstalled them


Hey, first post and complete new-timer here, so I might be kind of rough here, but I'll do my best!
I have this same problem now, though I have no mods installed. What happens:

-Install the ModAPI
-Open Spore through the Launcher
-Close Spore and the ModAPI requests to update (this is the download straight from the site, and it still requests to update)
-Update, and it says it's done,
-Re-open Spore through the API launcher, and now it tells me that I'm not opening Spore through the mod API launcher, though that's exactly what I'm doing.

Notes:
I am using the latest version of Spore and Spore Galactic Adventures from Origin
I have no mods installed or even on my computer

I checked this thread earlier, when I did have mods; however, when this was going on, Spore opened normally until I downloaded the update for ModAPI, where then nothing would work. All of the executables became nothing/missing entirely. Running as either administrator or normal, absolutely nothing would happen; sometimes, I'd see the flash of the processes starting to run, then they'd automatically close and nothing would work, as the quoted post states. I saw that they solved it through just, restarting the whole thing, but that isn't helping me either. No error codes present.

Thank you for your time!

Dorsz
Poster of the New User Apocalypse
Poster of the New User Apocalypse
Posts: 4
Joined: Sun May 19, 2019 5:56 am

Re: Spore ModAPI

Unread postby Dorsz » Mon Mar 02, 2020 8:45 am

rob55rod wrote:
Dorsz wrote:
Depends...did you actually buy Spore from GOG? And are you using version 3.1.0.22? (You're correct that 3.1.0.22 is the most recent version of the game, but it would be helpful if you could elaborate on how you determined that you are, in fact, running version 3.1.0.22.)

Hey, thanks for the response, and yes, I'm 100% sure I'm using the correct version. Everything was working fine until I updated the ModAPI to the newest version. And yes, I purchased Spore from GOG.

Well that's certainly...strange. Could you please show me how you determined that you're using version 3.1.0.22?

Okay, so I went through the game files and I think I found that my game version was apparently invalid. Here's a screenshot I took: https://imgur.com/a/ffXGMFK "Wersja pliku" means file version.
I'm not sure if it's the right place to check game's version. But if it is, honestly, I have no idea why it all suddenly stopped working. I mean, the game can't just downgrade itself in version, right? I guess I'll just uninstall the game and all the mods and install it again. I'll see how it works. Thanks for the help.

rob55rod
Tech Support
Tech Support
Sergeant Major of the Davo Army
Sergeant Major of the Davo Army
Posts: 3983
Joined: Sat Jul 02, 2011 9:50 am
Location: Zelem's Nexus, rebuilding.

Re: Spore ModAPI

Unread postby rob55rod » Mon Mar 02, 2020 10:53 am

Dorsz wrote:
rob55rod wrote:
Dorsz wrote:Hey, thanks for the response, and yes, I'm 100% sure I'm using the correct version. Everything was working fine until I updated the ModAPI to the newest version. And yes, I purchased Spore from GOG.

Well that's certainly...strange. Could you please show me how you determined that you're using version 3.1.0.22?

Okay, so I went through the game files and I think I found that my game version was apparently invalid. Here's a screenshot I took: https://imgur.com/a/ffXGMFK "Wersja pliku" means file version.
I'm not sure if it's the right place to check game's version. But if it is, honestly, I have no idea why it all suddenly stopped working. I mean, the game can't just downgrade itself in version, right? I guess I'll just uninstall the game and all the mods and install it again. I'll see how it works. Thanks for the help.

Yeah, that's what I suspected - your version of the game is too old. As for why it "suddenly" stopped working...really, it didn't - support for older digital versions of GA was dropped ages ago, and I suppose it simply coincidentally didn't break completely until now.
Your proposed means of updating should work, yes.



calaminty wrote:
nessiejoe wrote:im trying to open up spore dark injection via ModAPI. it says i need to open it via modAPI launcher, but i am doing just that? it's not giving me any error codes or anything.
i'm using the legit Origin version of spore
Edit: got it to work. Deleted all the installed mod files and reinstalled them


Hey, first post and complete new-timer here, so I might be kind of rough here, but I'll do my best!
I have this same problem now, though I have no mods installed. What happens:

-Install the ModAPI
-Open Spore through the Launcher
-Close Spore and the ModAPI requests to update (this is the download straight from the site, and it still requests to update)
-Update, and it says it's done,
-Re-open Spore through the API launcher, and now it tells me that I'm not opening Spore through the mod API launcher, though that's exactly what I'm doing.

Notes:
I am using the latest version of Spore and Spore Galactic Adventures from Origin
I have no mods installed or even on my computer

I checked this thread earlier, when I did have mods; however, when this was going on, Spore opened normally until I downloaded the update for ModAPI, where then nothing would work. All of the executables became nothing/missing entirely. Running as either administrator or normal, absolutely nothing would happen; sometimes, I'd see the flash of the processes starting to run, then they'd automatically close and nothing would work, as the quoted post states. I saw that they solved it through just, restarting the whole thing, but that isn't helping me either. No error codes present.

Thank you for your time!

...do you use any kind of antivirus or anything of the sort?
Having trouble with the Spore ModAPI Launcher Kit? Get help here!

If you're reading this, you have my permission to build off of my mods as long as I am credited. Please don't mirror my work unaltered, unless I no longer provide a working download.

User avatar
iShine
Poster of the New User Apocalypse
Poster of the New User Apocalypse
Posts: 3
Joined: Wed Nov 18, 2015 11:19 pm
Location: VA

Re: Spore ModAPI

Unread postby iShine » Mon Mar 02, 2020 3:39 pm

salut

first of all, I'd like to say how wildly impressed I am at your diligence at replying, troubleshooting, keeping things up to date, etc., with this ancient old game and mod. when I couldn't get the mod to work right away and it threw me at this forum I was like "there's no way anyone is still working on this" but jk. you're doing the lord's work.

I have probably too much experience modding other games, so at the very least I hope I'm good at Following Instructions(tm) by now, and I have gotten dark injections to work before but it was several years ago. now that I've tried to install it on my new machine I've failed, rip.

I believe my copy of spore came from GOG, and my copy of GA is on a disc, however both keys have been migrated to Origin and I exclusively download, install, and play them through Origin. I also have creepy and cute but I don't know where that came from for sure, it's been so long, but it installs through origin too. I installed them onto a D drive rather than in C, which is also where I installed modapi.

modapi successfully installs DI, but the launcher fails to launch and throws a bunch of errors. if I open the game without modapi it tells me DI requires the launcher and prompts me to quit the game. I can also successfully uninstall DI with the easy uninstaller and then I can open the game normally with no issues.

the specific issue I'm having seems pretty common and is in the FAQ/help but it says that it's an issue with the steam version which I am definitely not using.

anyways, here are the specific error messages:
Spoiler: show
ImageImageImageImage


thanks in advance for any help / troubleshooting / guides you can direct me to, I'm sure I just missed something dumb and I'll be rolling my eyes at myself later

rob55rod
Tech Support
Tech Support
Sergeant Major of the Davo Army
Sergeant Major of the Davo Army
Posts: 3983
Joined: Sat Jul 02, 2011 9:50 am
Location: Zelem's Nexus, rebuilding.

Re: Spore ModAPI

Unread postby rob55rod » Mon Mar 02, 2020 4:50 pm

iShine wrote:salut

first of all, I'd like to say how wildly impressed I am at your diligence at replying, troubleshooting, keeping things up to date, etc., with this ancient old game and mod. when I couldn't get the mod to work right away and it threw me at this forum I was like "there's no way anyone is still working on this" but jk. you're doing the lord's work.

Thank you. Your timing is a bit ironic, given I'm just recently recovering from nearly burning myself out on doing exactly that, but...hey, I try. It's good to be back in action.


iShine wrote:I have probably too much experience modding other games, so at the very least I hope I'm good at Following Instructions(tm) by now, and I have gotten dark injections to work before but it was several years ago. now that I've tried to install it on my new machine I've failed, rip.

Sounds like you're on the right track for the most part, aside from one little wrinkle...


iShine wrote:I believe my copy of spore came from GOG, and my copy of GA is on a disc, however both keys have been migrated to Origin and I exclusively download, install, and play them through Origin. I also have creepy and cute but I don't know where that came from for sure, it's been so long, but it installs through origin too. I installed them onto a D drive rather than in C, which is also where I installed modapi.

About that...always install Spore and its DLCs from only one source, and to the default install location for that source. I wouldn't be surprised if, perhaps through no fault of your own, you have remnants of your disk or GOG installs on your hard drive which may be interfering...hmmmmm...


iShine wrote:modapi successfully installs DI, but the launcher fails to launch and throws a bunch of errors. if I open the game without modapi it tells me DI requires the launcher and prompts me to quit the game. I can also successfully uninstall DI with the easy uninstaller and then I can open the game normally with no issues.

the specific issue I'm having seems pretty common and is in the FAQ/help but it says that it's an issue with the steam version which I am definitely not using.

anyways, here are the specific error messages:


thanks in advance for any help / troubleshooting / guides you can direct me to, I'm sure I just missed something dumb and I'll be rolling my eyes at myself later

Actually...I haven't seen that error in years, I thought we'd patched it out completely...say, what version of the Spore ModAPI Launcher Kit are you using, currently? If unsure, look to the bottom-left corner of your Spore ModAPI Easy Uninstallerand accept my apology for the complete UX disaster that is this entire software package.
Having trouble with the Spore ModAPI Launcher Kit? Get help here!

If you're reading this, you have my permission to build off of my mods as long as I am credited. Please don't mirror my work unaltered, unless I no longer provide a working download.

User avatar
iShine
Poster of the New User Apocalypse
Poster of the New User Apocalypse
Posts: 3
Joined: Wed Nov 18, 2015 11:19 pm
Location: VA

Re: Spore ModAPI

Unread postby iShine » Mon Mar 02, 2020 5:36 pm

rob55rod wrote:
iShine wrote:I believe my copy of spore came from GOG, and my copy of GA is on a disc, however both keys have been migrated to Origin and I exclusively download, install, and play them through Origin. I also have creepy and cute but I don't know where that came from for sure, it's been so long, but it installs through origin too. I installed them onto a D drive rather than in C, which is also where I installed modapi.

About that...always install Spore and its DLCs from only one source, and to the default install location for that source. I wouldn't be surprised if, perhaps through no fault of your own, you have remnants of your disk or GOG installs on your hard drive which may be interfering...hmmmmm...


I've never installed spore on this machine before, and it's all being downloaded through Origin. I don't even have a disc drive anymore. I can try uninstalling everything and installing it to the default path on C if you think it might work, but I'd prefer to keep it on D if I can.

rob55rod wrote:
iShine wrote:modapi successfully installs DI, but the launcher fails to launch and throws a bunch of errors. if I open the game without modapi it tells me DI requires the launcher and prompts me to quit the game. I can also successfully uninstall DI with the easy uninstaller and then I can open the game normally with no issues.

the specific issue I'm having seems pretty common and is in the FAQ/help but it says that it's an issue with the steam version which I am definitely not using.

anyways, here are the specific error messages:


thanks in advance for any help / troubleshooting / guides you can direct me to, I'm sure I just missed something dumb and I'll be rolling my eyes at myself later

Actually...I haven't seen that error in years, I thought we'd patched it out completely...say, what version of the Spore ModAPI Launcher Kit are you using, currently? If unsure, look to the bottom-left corner of your Spore ModAPI Easy Uninstallerand accept my apology for the complete UX disaster that is this entire software package.


it appears to be version 1.2.0.11, I just downloaded it a couple days ago:
Spoiler: show
Image


And no apology necessary, lord knows it's easier than trying to keep track of all the mod files manually


Return to “Tools & Patches”